package com.ruixuan.isc.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
import org.springframework.data.annotation.Transient;

public class KuaishouItemList extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 商品ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long itemId;
    private Integer mediaId;

    /**
     * 商品标题
     */
    @Excel(name = "商品标题")
    private String itemTitle;

    /**
     * 商品单价-分
     */
    @Excel(name = "商品单价-分")
    private Long itemPrice;

    /**
     * 商品备注
     */
    @Excel(name = "商品备注")
    private String itemDesc;

    /**
     * 商品折扣价
     */
    @Excel(name = "商品折扣价")
    private Long zkFinalPrice;

    /**
     * 商品图片链接
     */
    @Excel(name = "商品图片链接")
    private String itemImgUrl;

    /**
     * 商品详情图
     */
    @Excel(name = "商品详情图")
    private String itemDescUrls;

    /**
     * 小店星级
     */
    @Excel(name = "小店星级")
    private String shopStar;

    /**
     * 品牌名称
     */
    @Excel(name = "品牌名称")
    private String mallLogisticsScore;

    /**
     * 活动商品审核状态，1-待审核，2审核通过，3审核失败（拒绝），5失效
     */
    @Excel(name = "活动商品审核状态，1-待审核，2审核通过，3审核失败", readConverterExp = "拒=绝")
    private Integer activityItemStatus;

    /**
     * 类目ID店铺评分
     */
    @Excel(name = "类目ID店铺评分")
    private String shopScore;

    /**
     * 类目ID
     */
    @Excel(name = "类目ID")
    private Long categoryId;

    /**
     * 类目
     */
    @Excel(name = "类目")
    private String categoryName;

    /**
     * 轮播图列表
     */
    @Excel(name = "轮播图列表")
    private String itemGalleryUrls;

    /**
     * 1-商家报名、2-团长报名
     */
    @Excel(name = "1-商家报名、2-团长报名")
    private Integer identity;

    /**
     * 活动id
     */
    @Excel(name = "活动id")
    private Long activityId;

    /**
     * 点名名称
     */
    @Excel(name = "点名名称")
    private String shopTitle;

    /**
     * 佣金比例
     */
    @Excel(name = "佣金比例")
    private Long commissionRate;

    /**
     * 店铺服务分
     */
    @Excel(name = "店铺服务分")
    private String mallServiceScore;

    /**
     * 店铺质量分
     */
    @Excel(name = "店铺质量分")
    private String mallQualityScore;

    private String skuList;

    /**
     * 创建人id
     */
    @Excel(name = "创建人id")
    private Long userId;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String userName;

    /**
     * 审核人id
     */
    @Excel(name = "审核人id")
    private Long examineId;

    /**
     * 审核人名称
     */
    @Excel(name = "审核人名称")
    private String examineName;

    /**
     * 1待审核 2审核通过 3审核失败
     */
    @Excel(name = "1待审核 2审核通过 3审核失败")
    private Integer examineStatus;

    /**
     * 审核拒绝原因
     */
    @Excel(name = "审核拒绝原因")
    private String refuseDetail;

    /**
     * 发货地址
     */
    @Excel(name = "发货地址")
    private String postArea;

    /**
     * 未发货地址
     */
    @Excel(name = "未发货地址")
    private String noPostArea;

    /**
     * 服务费率
     */
    @Excel(name = "服务费率")
    private Long regimentalPromotionRate;

    /**
     * 服务费
     */
    @Excel(name = "服务费")
    private Long regimentalPromotion;

    /**
     * 样品数量
     */
    @Excel(name = "样品数量")
    private Integer sampleCount;

    /**
     * 领样要求
     */
    @Excel(name = "领样要求")
    private String sampleRequirement;

    /**
     * 发货率
     */
    @Excel(name = "发货率")
    private String deliveryRate;

    /**
     * 手卡信息
     */
    @Excel(name = "手卡信息")
    private String partnerRecommendText;

    /**
     * 商品相信信息
     */
    @Excel(name = "商品相信信息")
    private String detailUrl;

    @Transient
    private Long validOrderNum;
    @Transient
    private Long validAmount;
    @Transient
    private String ruleName;
    @Transient
    private String mediaName;
    private Integer samplesReceived;
    private Integer samplesPeoples;

    private Long relateId;
    private Long ruleId;


    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public Integer getMediaId() {
        return mediaId;
    }

    public void setMediaId(Integer mediaId) {
        this.mediaId = mediaId;
    }

    public String getItemTitle() {
        return itemTitle;
    }

    public void setItemTitle(String itemTitle) {
        this.itemTitle = itemTitle;
    }

    public Long getItemPrice() {
        return itemPrice;
    }

    public void setItemPrice(Long itemPrice) {
        this.itemPrice = itemPrice;
    }

    public String getItemDesc() {
        return itemDesc;
    }

    public void setItemDesc(String itemDesc) {
        this.itemDesc = itemDesc;
    }

    public Long getZkFinalPrice() {
        return zkFinalPrice;
    }

    public void setZkFinalPrice(Long zkFinalPrice) {
        this.zkFinalPrice = zkFinalPrice;
    }

    public String getItemImgUrl() {
        return itemImgUrl;
    }

    public void setItemImgUrl(String itemImgUrl) {
        this.itemImgUrl = itemImgUrl;
    }

    public String getItemDescUrls() {
        return itemDescUrls;
    }

    public void setItemDescUrls(String itemDescUrls) {
        this.itemDescUrls = itemDescUrls;
    }

    public String getShopStar() {
        return shopStar;
    }

    public void setShopStar(String shopStar) {
        this.shopStar = shopStar;
    }

    public String getMallLogisticsScore() {
        return mallLogisticsScore;
    }

    public void setMallLogisticsScore(String mallLogisticsScore) {
        this.mallLogisticsScore = mallLogisticsScore;
    }

    public Integer getActivityItemStatus() {
        return activityItemStatus;
    }

    public void setActivityItemStatus(Integer activityItemStatus) {
        this.activityItemStatus = activityItemStatus;
    }

    public String getShopScore() {
        return shopScore;
    }

    public void setShopScore(String shopScore) {
        this.shopScore = shopScore;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getItemGalleryUrls() {
        return itemGalleryUrls;
    }

    public void setItemGalleryUrls(String itemGalleryUrls) {
        this.itemGalleryUrls = itemGalleryUrls;
    }

    public Integer getIdentity() {
        return identity;
    }

    public void setIdentity(Integer identity) {
        this.identity = identity;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public String getShopTitle() {
        return shopTitle;
    }

    public void setShopTitle(String shopTitle) {
        this.shopTitle = shopTitle;
    }

    public Long getCommissionRate() {
        return commissionRate;
    }

    public void setCommissionRate(Long commissionRate) {
        this.commissionRate = commissionRate;
    }

    public String getMallServiceScore() {
        return mallServiceScore;
    }

    public void setMallServiceScore(String mallServiceScore) {
        this.mallServiceScore = mallServiceScore;
    }

    public String getMallQualityScore() {
        return mallQualityScore;
    }

    public void setMallQualityScore(String mallQualityScore) {
        this.mallQualityScore = mallQualityScore;
    }

    public String getSkuList() {
        return skuList;
    }

    public void setSkuList(String skuList) {
        this.skuList = skuList;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getExamineId() {
        return examineId;
    }

    public void setExamineId(Long examineId) {
        this.examineId = examineId;
    }

    public String getExamineName() {
        return examineName;
    }

    public void setExamineName(String examineName) {
        this.examineName = examineName;
    }

    public Integer getExamineStatus() {
        return examineStatus;
    }

    public void setExamineStatus(Integer examineStatus) {
        this.examineStatus = examineStatus;
    }

    public String getRefuseDetail() {
        return refuseDetail;
    }

    public void setRefuseDetail(String refuseDetail) {
        this.refuseDetail = refuseDetail;
    }

    public String getPostArea() {
        return postArea;
    }

    public void setPostArea(String postArea) {
        this.postArea = postArea;
    }

    public String getNoPostArea() {
        return noPostArea;
    }

    public void setNoPostArea(String noPostArea) {
        this.noPostArea = noPostArea;
    }

    public Long getRegimentalPromotionRate() {
        return regimentalPromotionRate;
    }

    public void setRegimentalPromotionRate(Long regimentalPromotionRate) {
        this.regimentalPromotionRate = regimentalPromotionRate;
    }

    public Long getRegimentalPromotion() {
        return regimentalPromotion;
    }

    public void setRegimentalPromotion(Long regimentalPromotion) {
        this.regimentalPromotion = regimentalPromotion;
    }

    public Integer getSampleCount() {
        return sampleCount;
    }

    public void setSampleCount(Integer sampleCount) {
        this.sampleCount = sampleCount;
    }

    public String getSampleRequirement() {
        return sampleRequirement;
    }

    public void setSampleRequirement(String sampleRequirement) {
        this.sampleRequirement = sampleRequirement;
    }

    public String getDeliveryRate() {
        return deliveryRate;
    }

    public void setDeliveryRate(String deliveryRate) {
        this.deliveryRate = deliveryRate;
    }

    public String getPartnerRecommendText() {
        return partnerRecommendText;
    }

    public void setPartnerRecommendText(String partnerRecommendText) {
        this.partnerRecommendText = partnerRecommendText;
    }

    public String getDetailUrl() {
        return detailUrl;
    }

    public void setDetailUrl(String detailUrl) {
        this.detailUrl = detailUrl;
    }

    public Long getValidOrderNum() {
        return validOrderNum;
    }

    public void setValidOrderNum(Long validOrderNum) {
        this.validOrderNum = validOrderNum;
    }

    public Long getValidAmount() {
        return validAmount;
    }

    public void setValidAmount(Long validAmount) {
        this.validAmount = validAmount;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public String getMediaName() {
        return mediaName;
    }

    public void setMediaName(String mediaName) {
        this.mediaName = mediaName;
    }

    public Integer getSamplesReceived() {
        return samplesReceived;
    }

    public void setSamplesReceived(Integer samplesReceived) {
        this.samplesReceived = samplesReceived;
    }

    public Integer getSamplesPeoples() {
        return samplesPeoples;
    }

    public void setSamplesPeoples(Integer samplesPeoples) {
        this.samplesPeoples = samplesPeoples;
    }

    public Long getRelateId() {
        return relateId;
    }

    public void setRelateId(Long relateId) {
        this.relateId = relateId;
    }

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    @Override
    public String toString() {
        return "KuaishouItemList{" +
                "itemId=" + itemId +
                ", mediaId=" + mediaId +
                ", itemTitle='" + itemTitle + '\'' +
                ", itemPrice=" + itemPrice +
                ", itemDesc='" + itemDesc + '\'' +
                ", zkFinalPrice=" + zkFinalPrice +
                ", itemImgUrl='" + itemImgUrl + '\'' +
                ", itemDescUrls='" + itemDescUrls + '\'' +
                ", shopStar='" + shopStar + '\'' +
                ", mallLogisticsScore='" + mallLogisticsScore + '\'' +
                ", activityItemStatus=" + activityItemStatus +
                ", shopScore='" + shopScore + '\'' +
                ", categoryId=" + categoryId +
                ", categoryName='" + categoryName + '\'' +
                ", itemGalleryUrls='" + itemGalleryUrls + '\'' +
                ", identity=" + identity +
                ", activityId=" + activityId +
                ", shopTitle='" + shopTitle + '\'' +
                ", commissionRate=" + commissionRate +
                ", mallServiceScore='" + mallServiceScore + '\'' +
                ", mallQualityScore='" + mallQualityScore + '\'' +
                ", skuList='" + skuList + '\'' +
                ", userId=" + userId +
                ", userName='" + userName + '\'' +
                ", examineId=" + examineId +
                ", examineName='" + examineName + '\'' +
                ", examineStatus=" + examineStatus +
                ", refuseDetail='" + refuseDetail + '\'' +
                ", postArea='" + postArea + '\'' +
                ", noPostArea='" + noPostArea + '\'' +
                ", regimentalPromotionRate=" + regimentalPromotionRate +
                ", regimentalPromotion=" + regimentalPromotion +
                ", sampleCount=" + sampleCount +
                ", sampleRequirement='" + sampleRequirement + '\'' +
                ", deliveryRate='" + deliveryRate + '\'' +
                ", partnerRecommendText='" + partnerRecommendText + '\'' +
                ", detailUrl='" + detailUrl + '\'' +
                ", validOrderNum=" + validOrderNum +
                ", validAmount=" + validAmount +
                ", ruleName='" + ruleName + '\'' +
                ", mediaName='" + mediaName + '\'' +
                ", samplesReceived=" + samplesReceived +
                ", samplesPeoples=" + samplesPeoples +
                ", relateId=" + relateId +
                ", ruleId=" + ruleId +
                '}';
    }
}
